# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: "http://devicetree.org/schemas/phy/amlogic,g12a-mipi-dphy-analog.yaml#"
$schema: "http://devicetree.org/meta-schemas/core.yaml#"

title: Amlogic G12A MIPI analog PHY

maintainers:
  - Neil Armstrong <narmstrong@baylibre.com>

properties:
  compatible:
    const: amlogic,g12a-mipi-dphy-analog

  "#phy-cells":
    const: 0

  reg:
    maxItems: 1

required:
  - compatible
  - reg
  - "#phy-cells"

additionalProperties: false

examples:
  - |
    phy@0 {
          compatible = "amlogic,g12a-mipi-dphy-analog";
          reg = <0x0 0xc>;
          #phy-cells = <0>;
    };
